/*
 *  Copyright (C) Chaperon. All rights reserved.                               
 *  ------------------------------------------------------------------------- 
 *  This software is published under the terms of the Apache Software License 
 *  version 1.1, a copy of which has been included  with this distribution in 
 *  the LICENSE file.                                                         
 */

package net.sourceforge.chaperon.cocoon;

import java.io.Serializable;

import org.apache.excalibur.source.SourceValidity;

import net.sourceforge.chaperon.parser.ParserTable;

/**
 * This class represent a entry in a store to cache the parsertable.
 *
 * @author Stephan Michels
 * @version CVS $Id: ParserTableEntry.java,v 1.1 2002/05/14 14:58:59 benedikta Exp $
 */
public class ParserTableEntry implements Serializable
{
  private SourceValidity _validity    = null;
  private ParserTable    _parsertable = null;

  public ParserTableEntry(ParserTable parsertable, SourceValidity validity)
  {
    _parsertable = parsertable;
    _validity = validity;
  }

  public SourceValidity getValidity()
  {
    return _validity;
  }

  public ParserTable getParserTable()
  {
    return _parsertable;
  }
}
